/*#region #services*/
#service {
  .item-service {
    @include item-flex();
  }
  .col-4item {
    > * {
      width: calc((100% - 61px) / 4);
      margin-top: 20px;
      margin-right: 20px;
      &:nth-child(1),
      &:nth-child(2),
      &:nth-child(3),
      &:nth-child(4) {
        margin-top: 0;
      }
      &:nth-child(4n) {
        margin-right: 0;
      }
    }
  }
}
#services {
  .tab-header {
    .flex-center {
      -webkit-box-align: center;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
      -ms-flex-pack: center;
      justify-content: center;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
    }
    li {
      @include border-top();
      @include border-bottom();
      list-style: none;
      a {
        display: block;
        padding: 10px 30px;
        background-color: $white;
      }
      &:hover,
      &.active {
        a {
          background-color: $primary-color;
          color: $white;
        }
      }
      &:first-child {
        @include border-left();
        overflow: hidden;
        border-top-left-radius: 20px;
        border-bottom-left-radius: 20px;
      }
      &:last-child {
        @include border-right();
        overflow: hidden;
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
      }
    }
  }
  .tab-body {
    .item {
      @include animation();
      @include flex-center();
      @include border-top($style: dashed);
      position: relative;
      padding: 20px;
      .img-container {
        width: 80px;
        height: 80px;
        border-radius: 100%;
        overflow: hidden;
        margin-right: 20px;
      }
      .text-container {
        width: calc(100% - 250px);
        padding-right: 15px;
        h3 {
          font-weight: $font-weight-bold;
        }
        .des {
          overflow: hidden;
          white-space: nowrap;
          text-overflow: ellipsis;
        }
      }
      .price {
        width: 150px;
        text-align: right;
        .new-price {
          font-weight: $font-weight-bold;
          color: $primary-color;
        }
        .old-price {
          text-decoration: line-through;
          color: $gray;
        }
      }
      .item-inner {
        @include animation();
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        opacity: 0;
        z-index: -1;
      }
      &:nth-child(1),
      &:nth-child(2) {
        border-top: none;
      }
      &:hover {
        @include box-shadow3();
        background-color: $white;
        border-color: transparent;
        .item-inner {
          opacity: 1;
          z-index: 2;
        }
        + .item + .item {
          border-color: transparent;
        }
      }
    }
  }
  .col-2item {
    > * {
      width: calc(50% - 15px);
      margin-right: 15px;
      margin-top: 0;
      &:nth-child(1),
      &:nth-child(2) {
        margin-top: 0;
      }
      &:nth-child(2n) {
        margin-right: 0;
        margin-left: 15px;
      }
    }
  }
}
/*#endregion*/

/*#region #sad*/
/*#endregion*/

@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  #services {
    .tab-body {
      .item {
        padding: 20px 10px;
        .text-container {
          width: calc(100% - 100px - 115px);
        }
        .price {
          width: 115px;
        }
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region #sad*/
  #service {
    .col-4item {
      > * {
        width: calc(50% - 60px) / 3;
        margin-right: 30px;
        margin-left: 30px;
        margin-top: 30px;
        &:nth-child(1),
        &:nth-child(2),
        &:nth-child(3),
        &:nth-child(4) {
          margin-top: 30px;
        }
        &:nth-child(2n) {
          margin-right: 30px;
          margin-left: 30px;
        }
      }
    }
  }
  #services {
    .col-2item {
      > * {
        width: calc(50% - 10px);
        margin-right: 10px;
        &:nth-child(2n) {
          margin-right: 0;
          margin-left: 10px;
        }
      }
    }

    .tab-header {
      .flex-center {
        display: block;
      }
    }
    .tab-body {
      .item {
        padding: 20px 10px;
        .img-container {
          margin-right: 10px;
        }
        .text-container {
          width: calc(100% - 90px - 100px);
          padding-right: 10px;
        }
        .price {
          width: 100px;
        }
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  #service {
    .col-4item {
      > * {
        width: calc(50% - 10px);
        // margin-top: 30px;
        margin-right: 0;
        margin-left: 0;
        &:nth-child(1),
        &:nth-child(2) {
          margin-top: 0;
        }
        &:nth-child(3),
        &:nth-child(4) {
          margin-top: 30px;
        }
        &:nth-child(2n) {
          margin-right: 0;
          margin-left: 0;
        }
      }
    }
  }
  #services {
    .col-2item {
      > * {
        width: 100%;
        margin-right: 0;
        &:nth-child(2n) {
          margin-right: 0;
          margin-left: 0;
        }
      }
    }
    .tab-body {
      .item {
        &:nth-child(2) {
          @include border-top($style: dashed);
        }
      }
    }
  }
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
